---
title: "Projets, CM1"
date: 2016-05-18
---

# Introduction

## Motivation du module Projets

- réaliser un « vrai » logiciel est souvent complexe voire compliqué
- il existe de nombreuses méthodologies et nombreux outils
- mais pas de miracle
- objectif du module : réaliser un logiciel pas complètement trivial en utilisant quelques méthodes et outils classiques

## Organisation du module

- du 8 au 24 juin 2016 à temps plein
- présence **OBLIGATOIRE** : 9h-12h + 13h-16h
(en salle de cours pour les CM, en salles machines le reste du temps)
- à réaliser : cahier des charges, livrables, rapport, soutenance
- informations : [https://www-lisic.univ-littoral.fr/~dehos](https://www-lisic.univ-littoral.fr/~dehos)

## Objectifs de la gestion de projet

- faire aboutir le projet
- respecter les fonctionnalités demandées, les délais, les coûts
- prévoir les problèmes possibles, détecter les problèmes réels

## Étapes d’un projet

- analyse du besoin, spécification
- conception, développement, validation, documentation
- livraison, déploiement, maintenance

$\rightarrow$ déroulement unitaire ou itératif


# Premières étapes d'un projet informatique

## Analyse du besoin

- objectif :
    - savoir ce que veut exactement le client
    - voir si c’est faisable
- outils :
    - discussion
    - étude de l’existant
    - maquette, prototype...

## Spécification

- définition précise du résultat attendu
- « contrat » entre le client et le prestataire (cahier des charges)

## Gestion des risques

- objectif : prévoir les problèmes possibles et savoir les gérer
- identifier les risques :
    - type (complexité, incertitude)
    - domaine (cible, projet)
- prévoir les risques :
    - impact, probabilité d’apparition
    - prévention, correction
- suivre les risques : les détecter quand ils se produisent
- choix d’une stratégie de développement :
    - unitaire si le projet est simple et certain
    - itératif si complexe ou incertain

## Planification

- objectif : prévoir le déroulement, le vérifier, adapter si besoin
- organiser le projet : étapes, durées, dépendances, ressources (PERT)
- planifier : affectation réelle des dates et ressources (Gantt)
- suivre : comparer prévu/réel, détecter les problèmes, actions correctrices


# Cahier des charges

## Motivation

- formalise la demande, décrit ce que le prestataire doit fournir au client à la fin du projet
- « contrat » entre le client et le prestataire
- doit être précis et exhaustif
- et si possible clair et concis...

$\rightarrow$ voir l’[exemple fourni](https://gogs.univ-littoral.fr/jdehos/cours_projets_l3/src/master/template_cdc)

## Contenu

- fiche de renseignements
- description du besoin
- spécifications
- annexes

## Fiche de renseignements

- nom et objet du projet
- noms du client et du prestataire
- dates de début et de fin du projet

## Description du besoin

- objectif : présenter la demande
- contenu : contexte, besoins, priorités
- forme : texte

## Spécifications

- objectif : formaliser les livrables/fonctionnalités demandés
- contenu : caractéristiques précises et exhaustives
- forme : listes

## Annexes

- maquettes
- formats de fichiers, protocoles de communication
- diagrammes de cas d’utilisation
- planning prévisionnel
- ...


# Travail à réaliser

## Dans la semaine

- rédiger un cahier des charges **validé par le « client »**



